Subject: Re: [Fwd: INVITE with RTP RR's to a different address ...]

From: S_S_Dinesh/India/[email-masked]
Date: Mon, 8 May 2000 14:10:07 +0530

There are several reasons why I'm not sure this is the best approach:

1. RRs are needed end to end to enable application adaptation
2. If you want centralized access to the feedback, then have the end
system implement the RTP MIB, and collect the data through that.
3. RRs must be end to end for multicast. I don't like special casing
unicast.

-Jonathan R.

Francois Menard wrote:
> Does anybody oppose the idea of designing a specific way to do this ... I
> know that RTCP has to be managed end-to-end, but there are good instances
> where capturing the RTCP feedback in a central repository is better
> than doing Netflow analysis ...
>
> -=Francois=-
>
> On Sun, 5 Mar 2000, Jonathan Rosenberg wrote:
>
> > You can easily have both the RTP and RTCP go to one IP address,
> > different than the SIP originator (media will go to the address listed
> > in the SDP). However, there is no way to have the RTP and RTCP go to
> > different addresses.
> >
> > -Jonathan R.
> >
> > Francois Menard List Account wrote:
> > >
> > > Is there a quick way to require the RTP RR's to go to a different IP
> > > address than the originating party through a SIP INVITE ?
> > >
> > > -=Francois=-
> >
> > --
> > Jonathan D. Rosenberg                       200 Executive Drive
> > Chief Scientist                             Suite 120
> > dynamicsoft                                 West Orange, NJ 07052
> > [email-masked]                     FAX:   (732) 741-4778
> > http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
> > http://www.dynamicsoft.com
> >

--
Jonathan D. Rosenberg                       200 Executive Drive
Chief Scientist                             Suite 120
dynamicsoft                                 West Orange, NJ 07052
[email-masked]                     FAX:   (732) 741-4778
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com